Last Comment Bug 94645 - LDAP directory with ldif extention appeared after migration
: LDAP directory with ldif extention appeared after migration
Status: RESOLVED WONTFIX
:
Product: MailNews Core
Classification: Components
Component: LDAP Integration (show other bugs)
: Trunk
: x86 Windows 2000
: P3 normal with 1 vote (vote)
: mozilla1.2alpha
Assigned To: Srilatha Moturi
: grylchan
Mentors:
: 93438 124259 (view as bug list)
Depends on:
Blocks: 122274
  Show dependency treegraph
 
Reported: 2001-08-09 17:46 PDT by yulian chang
Modified: 2014-02-04 04:15 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description yulian chang 2001-08-09 17:46:25 PDT
Tested with 0.9, 0.9.1 and 20010809 trunk build.

LDAP directories with ldif extention appeared in Address Book rifgt after
migration until relaunching browser.

Steps to repro,
1. Add a couple of directories in 4.x
2. Do a clean installation of N6.1
3. Migrate the profile
4. Launch Address Book from N6.1

Actual result: "Directory name".ldif appears in AB
 Expected result: 1. "Directory name".ldif should not appear in AB
2.Directory without ldif extention will be added into AB in the future.
Comment 1 yulian chang 2001-08-10 11:50:46 PDT
infospace.ldif, Verisign.ldif and netcenter.ldif also showed up in the ABook
right after migration.Even though Inforspace, Verisign and Netcenter LDAP
directories have been removed from Preference.
 
Comment 2 Dan Mosedale (:dmose) 2001-08-13 14:09:31 PDT
More experimentation needed for triage; in part need to check that directory
servers added in 4.x don't get deleted by the upgrade.  Note that the .ldif
anomaly only shows up on the first startup after migration, and disappears
thereafter.
Comment 3 Dan Mosedale (:dmose) 2001-08-13 14:11:00 PDT
More experimentation needed for triage; in part need to check that directory
servers added in 4.x don't get deleted by the upgrade.  Note that the .ldif
anomaly only shows up on the first startup after migration, and disappears
thereafter.
Comment 4 yulian chang 2001-09-27 15:34:46 PDT
infospace.ldif, netcenter.ldif, verisign.ldif and those user created directory
servers with ldif extention appear in the Address Book pane/AddressB window
after migration form 4.x Communicator until relaunching Browser.

This bug will be release noted.
Comment 5 timeless 2001-11-21 10:59:17 PST
*** Bug 93438 has been marked as a duplicate of this bug. ***
Comment 6 Asa Dotzler [:asa] 2001-12-03 11:53:07 PST
Bugs targeted at mozilla1.0 without the mozilla1.0 keyword moved to mozilla1.0.1 
(you can query for this string to delete spam or retrieve the list of bugs I've 
moved)
Comment 7 Srilatha Moturi 2002-02-07 16:02:26 PST
*** Bug 124259 has been marked as a duplicate of this bug. ***
Comment 8 yulian chang 2002-02-28 16:56:09 PST
With Turbo mode, restart cannot fix it. <ldapname>.ldif always appears in
Address Book until turnning off turbo mode and restart.
Comment 9 yulian chang 2002-05-07 10:20:49 PDT
20020506 branch on Win2k

The problem has been fixed for the LDAP Directory servers but not default
Directories which includes infospace.ldif, verisign.ldif and netcenter.ldif.
Please refer to bug 127110 for the default directories problem.
Comment 10 Wayne Mery (:wsmwk, NI for questions) 2008-02-16 05:40:45 PST
as with bug 45777...
->WONTFIX since 4.x migation has been dropped on trunk. 

If one has an overwhelming need to see this fixed on branch, please attach a patch and reopen the bug.  Also, evaluate whether the issue is a bug or an enhancement request and adjust severity accordingly.
filter bugmail for "4.xmidrop" to delete these messages.

Note You need to log in before you can comment on or make changes to this bug.